[ Identification | Description | Input parameters | Output parameters | Links ]

# The `L_monitor` Component

Wavelength-sensitive monitor.

## Identification

- Author: Kristian Nielsen and Kim Lefmann
- Origin: Risoe
- Date: April 20, 1998
- Version: 1.16

## Description

    A square single monitor that measures the wavelength of the incoming
    neutrons.

    Example: L_monitor(xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1,
              nchan=20, filename="Output.L", Lmin=2, Lmax=10)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nchan | 1 | Number of energy channels | 20
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening |
xmax | m | Upper x bound of detector opening |
ymin | m | Lower y bound of detector opening |
ymax | m | Upper y bound of detector opening |
Lmin | AA | Minimum wavelength to detect |
Lmax | AA | Maximum wavelength to detect |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
L_N |  |  |
L_p |  |  |
L_p2 |  |  |

## Links

- Source code for `L_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]